diff --git a/sway/input/cursor.c b/sway/input/cursor.c
index 11a2de85e1..696609453b 100644
--- a/sway/input/cursor.c
+++ b/sway/input/cursor.c
@@ -408,7 +408,9 @@ static void handle_touch_down(struct wl_listener *listener, void *data) {
 				event->touch_id, sx, sy);
 	}
 
-	seat_set_focus(seat, focused_node);
+	if (focused_node) {
+		seat_set_focus(seat, focused_node);
+	}
 }
 
 static void handle_touch_up(struct wl_listener *listener, void *data) {
